TESTING/LIN/cdrvrf1.f(3)

NAME
TESTING/LIN/cdrvrf1.f

SYNOPSIS

  Functions/Subroutines
subroutine cdrvrf1 (nout, nn, nval, thresh, a, lda, arf, work)
CDRVRF1

Function/Subroutine Documentation

  subroutine cdrvrf1 (integer nout, integer nn, integer, dimension( nn ) nval, real thresh, complex, dimension( lda, * ) a, integer lda, complex, dimension( * ) arf, real, dimension( * ) work)

CDRVRF1

Purpose:

    !>
    !> CDRVRF1 tests the LAPACK RFP routines:
    !>     CLANHF.F
    !>

Parameters
    NOUT

    !>          NOUT is INTEGER
    !>                The unit number for output.
    !>

    NN

    !>          NN is INTEGER
    !>                The number of values of N contained in the vector NVAL.
    !>

    NVAL

    !>          NVAL is INTEGER array, dimension (NN)
    !>                The values of the matrix dimension N.
    !>

    THRESH

    !>          THRESH is REAL
    !>                The threshold value for the test ratios.  A result is
    !>                included in the output file if RESULT >= THRESH.  To have
    !>                every test ratio printed, use THRESH = 0.
    !>

    A

    !>          A is COMPLEX array, dimension (LDA,NMAX)
    !>

    LDA

    !>          LDA is INTEGER
    !>                The leading dimension of the array A.  LDA >= max(1,NMAX).
    !>

    ARF

    !>          ARF is COMPLEX array, dimension ((NMAX*(NMAX+1))/2).
    !>

    WORK

    !>          WORK is COMPLEX array, dimension ( NMAX )
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 94 of file cdrvrf1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.